Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Algorithms/Algorithm.cs	(revision 7213)
@@ -37,4 +37,7 @@
   [StorableClass]
   public abstract class Algorithm : ParameterizedNamedItem, IAlgorithm {
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Event; }
+    }
     public override Image ItemImage {
       get {
@@ -43,5 +46,5 @@
         else if (ExecutionState == ExecutionState.Paused) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePaused;
         else if (ExecutionState == ExecutionState.Stopped) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
-        else return HeuristicLab.Common.Resources.VSImageLibrary.Event;
+        else return base.ItemImage;
       }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/BatchRun.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/BatchRun.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/BatchRun.cs	(revision 7213)
@@ -39,4 +39,7 @@
     public string Filename { get; set; }
 
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Event; }
+    }
     public override Image ItemImage {
       get {
@@ -45,5 +48,5 @@
         else if (ExecutionState == ExecutionState.Paused) return HeuristicLab.Common.Resources.VSImageLibrary.BatchRunPaused;
         else if (ExecutionState == ExecutionState.Stopped) return HeuristicLab.Common.Resources.VSImageLibrary.BatchRunStopped;
-        else return HeuristicLab.Common.Resources.VSImageLibrary.Event;
+        else return base.ItemImage;
       }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Experiment.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Experiment.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Experiment.cs	(revision 7213)
@@ -39,4 +39,7 @@
     public string Filename { get; set; }
 
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Event; }
+    }
     public override Image ItemImage {
       get {
@@ -45,5 +48,5 @@
         else if (ExecutionState == ExecutionState.Paused) return HeuristicLab.Common.Resources.VSImageLibrary.ExperimentPaused;
         else if (ExecutionState == ExecutionState.Stopped) return HeuristicLab.Common.Resources.VSImageLibrary.ExperimentStopped;
-        else return HeuristicLab.Common.Resources.VSImageLibrary.Event;
+        else return base.ItemImage;
       }
     }
@@ -336,5 +339,5 @@
     private void optimizer_Stopped(object sender, EventArgs e) {
       if (experimentStopped && Optimizers.All(o => o.ExecutionState == ExecutionState.Stopped || o.ExecutionState == ExecutionState.Prepared)) OnStopped();
-      else if (Optimizers.All(o => o.ExecutionState == ExecutionState.Stopped)) OnStopped();
+      else if (Optimizers.Any(o => o.ExecutionState == ExecutionState.Stopped) && Optimizers.All(o => o.ExecutionState != ExecutionState.Started) && Optimizers.All(o => o.ExecutionState != ExecutionState.Paused)) OnStopped();
       else if (Optimizers.Any(o => o.ExecutionState == ExecutionState.Paused) && Optimizers.All(o => o.ExecutionState != ExecutionState.Started)) OnPaused();
       else if (experimentStarted && !experimentStopped && Optimizers.Any(x => (x.ExecutionState == ExecutionState.Prepared) || (x.ExecutionState == ExecutionState.Paused))) {
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 7213)
@@ -26,4 +26,6 @@
   /// An interface which represents an analysis operator.
   /// </summary>
-  public interface IAnalyzer : IOperator { }
+  public interface IAnalyzer : IOperator {
+    bool EnabledByDefault { get; }
+  }
 }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Problems/Problem.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Problems/Problem.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Problems/Problem.cs	(revision 7213)
@@ -39,5 +39,5 @@
     }
 
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Type; }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs	(revision 7213)
@@ -43,5 +43,5 @@
     public string Filename { get; set; }
 
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Type; }
     }
@@ -263,5 +263,5 @@
       #endregion
 
-      public override Image ItemImage {
+      public static new Image StaticItemImage {
         get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
       }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/ResultCollection.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/ResultCollection.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Optimization/3.3/ResultCollection.cs	(revision 7213)
@@ -41,5 +41,5 @@
     }
 
-    public override System.Drawing.Image ItemImage {
+    public static new System.Drawing.Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Object; }
     }
